Loading...
Searching...
No Matches
id_manager.h File Reference

Map of MPTCP address ID to network address - private API. More...

`#include <stdbool.h>`
`#include <mptcpd/export.h>`
`#include <mptcpd/types.h>`
Include dependency graph for id_manager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

MPTCPD_API bool | mptcpd_idm_map_id (struct mptcpd_idm *idm, struct sockaddr const *sa, mptcpd_aid_t id)
| Map an IP address to a MPTCP address ID.

## Detailed Description

Map of MPTCP address ID to network address - private API.

Copyright (c) 2020, 2021, Intel Corporation

## Function Documentation

## mptcpd_idm_map_id()

MPTCPD_API bool mptcpd_idm_map_id | ( | struct mptcpd_idm * | idm,
|  | struct sockaddr const * | sa,
|  | mptcpd_aid_t | id
| ) |  |

Map an IP address to a MPTCP address ID.

Map an IP address to a MPTCP address ID. The MPTCP addresses ID for an existing IP address will be updated with the new ID.

Note
  This function is only meant for internal use by mptcpd.

Parameters

  [in] | idm | The mptcpd address ID manager object.
  [in] | sa | IP address information.
  [in] | id | MPTCP address ID.

Returns
  `true` if mapping succeeded, and `false` otherwise.